Subject: Re: [PATCH 1/3] ci: use Debian instead of deprecated i386/ubuntu

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 24 Oct 2025 08:36:25 +0200

On Thu, Oct 23, 2025 at 10:56:01AM -0700, Junio C Hamano wrote:
> Patrick Steinhardt <[email-masked]> writes:
> 
> > Ubuntu has ended support for 32 bit platforms and is not maintaining any
> > release anymore that has 32 bit support. But we still use i386/ubuntu in
> > our CI pipeline to test for compatibility with 32 bit systems, even
> > though that specific image does not receive updates anymore.
> >
> > Besides being end-of-life, this image also doesn't have all packages
> > available to it anymore. This creates problems with a subsequent patch,
> > where we're about to pull in cbindgen for generating Rust to C bindings.
> >
> > Drop the Ubuntu image and use Debian instead, which continues to
> > maintain its 32 bit port.
> 
> Thanks, this is long overdue.
> 
> Would this have nagative interactions with our recent tweak for
> sudo-rust vs sudo-C, which I thought was only releavant for Ubuntu?
> 
> I guess as long as i386/debian does not have /etc/alternatives/sudo
> we should be safe, and we also handle debian-* (presumably 64-bit)
> in the same case arm, so this should not be a new problem.  Just
> double checking.

Yup, exactly. Debian continues to use the old sudo implementation, and
it doesn't have /etc/alternatives/sudo at the current point in time.

Patrick